package com.zt.plat.module.qms.resource.device.service;

import java.util.*;

import com.zt.plat.framework.common.pojo.CommonResult;
import com.zt.plat.module.qms.resource.device.controller.vo.*;
import jakarta.validation.*;
import com.zt.plat.module.qms.resource.device.dal.dataobject.DevicePeriodCheckPlanDO;
import com.zt.plat.framework.common.pojo.PageResult;

/**
 * 设备-期间核查计划 Service 接口
 *
 * @author 后台管理-1
 */
public interface DevicePeriodCheckPlanService {

    /**
     * 创建-期间核查计划
     */
    DevicePeriodCheckPlanRespVO createPlanDevice(String checkYear);

    DevicePeriodCheckPlanRespVO createPlanMaterial(String checkYear);

    CommonResult<DevicePeriodCheckPlanRespVO> savePlan(DevicePeriodCheckPlanSaveReqVO paramVO);

    CommonResult<DevicePeriodCheckPlanRespVO> submitApply(DevicePeriodCheckPlanSaveReqVO paramVO);
    /**
     * 更新设备-期间核查计划
     *
     * @param updateReqVO 更新信息
     */
    void updateDevicePeriodCheckPlan(@Valid DevicePeriodCheckPlanSaveReqVO updateReqVO);

    /**
     * 删除设备-期间核查计划
     *
     * @param id 编号
     */
    void deleteDevicePeriodCheckPlan(Long id);

    /**
    * 批量删除设备-期间核查计划
    *
    * @param ids 编号
    */
    void deleteDevicePeriodCheckPlanListByIds(List<Long> ids);

    /**
     * 获得设备-期间核查计划
     *
     * @param id 编号
     * @return 设备-期间核查计划
     */
    DevicePeriodCheckPlanDO getDevicePeriodCheckPlan(Long id);

    /**
     * 获得设备-期间核查计划分页
     *
     * @param pageReqVO 分页查询
     * @return 设备-期间核查计划分页
     */
    PageResult<DevicePeriodCheckPlanDO> getDevicePeriodCheckPlanPage(DevicePeriodCheckPlanPageReqVO pageReqVO);

}